with Mcc.Gui;
with Expanding_Array;
package My_Expanding_Array is
   package Pkg is new 
      Expanding_Array(Mcc.Gui.Sized_Object_Pointer,100);
      
   Table : Pkg.Expander;
   
   procedure Insert(
      Table    : in out Pkg.Expander;
      Element  : in     Mcc.Gui.Sized_Object_Pointer;
      Location :    out Natural) renames Pkg.Insert;
      
   function Retrieve(
      Table    : Pkg.Expander;
      Location : Natural) return Mcc.Gui.Sized_Object_Pointer 
      renames Pkg.Retrieve;

   procedure Replace(
      Table    : in out Pkg.Expander;
      Element  : in     Mcc.Gui.Sized_Object_Pointer;
      Location : in     Natural) renames Pkg.Replace;
   
end My_Expanding_Array;